+++
title="Introduction sur les nœuds forgerons"
# date = 2024-06-28
weight = 20
sort_by = "weight"
insert_anchor_links = "right"

# [taxonomies]
# authors = ["JossRendall",]
+++

{% note(type="warning", markdown="true") %}
**Document de travail.** Ce document n'a pas été validé et ne doit pas être diffusé en dehors du groupe des forgerons et des développeurs
{% end %}

## Monter un Noeud Forgeron

Dans le [vocabulaire de Duniter](@/wiki/doc-v2/glossaire.md), le terme "smith" est attribué à une personne autorisée à ajouter des blocs dans la blockchain. Contrairement à Duniter v1, le rôle de forgeron est principalement technique, la gouvernance étant effectuée *sur la chaîne*. Les compétences nécessaires pour devenir forgeron sont moins techniques qu'humaines, c'est-à-dire que l'installation et le maintien d'un noeud sont relativement faciles à mettre en place pour qui est à l'aise en informatique, mais que l'appartenance aux forgerons implique de veiller aux évolutions des recommandations de sécurité et de répondre aux sollicitations d'apprentis forgerons.

Un forgeron doit :
- suivre de bonnes pratiques de sécurité pour ses clés et son nœud
- être capable de réagir rapidement en cas de défaillance (ou de mise hors ligne)
- contribuer au réseau de confiance des smiths en invitant d'autres smiths à se joindre à lui.

Voici les étapes à suivre pour devenir "smith":
1. [installer un nœud forgeron](@wiki/doc-v2/installer/miroir/installer.md)
4. Devenir un [membre de la Toile de Confiance Forgeron](@wiki/doc-v2/installer/forgeron/toile-de-confiance.md), ce qui implique de maintenir son noeud dans la durée.
5. [Configurer son noeud Forgeron](@wiki/doc-v2/installer/forgeron/configurer.md)
6. [Maintenir le statut forgeron de son noeud](@wiki/doc-v2/installer/forgeron/operations-forgeron.md)
<!--7. en option : [créer un Oracle de Distance](@/wiki/doc-v2/tmp.md) (qui calcul et vérifie les règles de distance de la toile de confiance) -->
